local firstSky
local secondSky
local thirdSky

addHook("MapLoad", do

	if gamemap == 103 then
		for thing in mapthings.iterate do
			if thing.type == 780 then -- MT_SKYBOX then
				if thing.extrainfo == 0 then
					firstSky = thing.mobj
				elseif thing.extrainfo == 1 then
					secondSky = thing.mobj
				elseif thing.extrainfo == 2 then
					thirdSky = thing.mobj
				end
			end
		end
		for player in players.iterate do
			P_SetSkyboxMobj(firstSky, player)
		end
	end
end)

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(firstSky, mobj.player)
		P_SetupLevelSky(865, mobj.player)
	end
end, "LLSKY1")

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(secondSky, mobj.player)
	end
end, "LLSKY2")

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(thirdSky, mobj.player)
		P_SetupLevelSky(866, mobj.player)
	end
end, "LLSKY3")